<?php
		//------------------------------------------------------------//
		// Make link ver 1.01
		// First created	on October 2006
		// Copyright 2006 by MasterVb.Net
		// http://www.mastervb.net/theshops/
		//------------------------------------------------------------//
		// THIS IS COPYRIGHTED SOFTWARE
 		// PLEASE READ THE LICENSE AGREEMENT
 		// http://www.mastervb.net/theshops/license.php
 		//------------------------------------------------------------//

		function cleanUrl ($text)
		{
			
			$text = str_replace ("/", " or ", $text);
			$text = str_replace ("&", " and ", $text);
			$text = preg_replace ("/( +)/", " ", $text);
			return strtolower(str_replace(" ", "_", $text));
		}
		
		function getLinkMerchant($tableName, $mainUrl)
		{
			return $mainUrl ."/shop/$tableName/";
		}
		
		function getLinkCategory($tableName, $mainUrl, $categoryName, $type = "default")
		{
			$tableName_ori = $tableName;
			unset($tableName);
			
			include dirname(__FILE__) . "/../data/category_site_name.php";
			$siteName = $tableName["$tableName_ori"]["site_name"];
			
			unset($tableName);
			$tableName = $tableName_ori;
			
			if ($categoryName == "Home >")
				$categoryName = "Home > ";
			$categoryName = explode (" > ", $categoryName);
			
			$merchantLink = getLinkMerchant($tableName, $mainUrl);

			$link = "<a href='". $merchantLink ."'>$siteName</a>";
			
			if (isset($categoryName[1]))
			{
				$category1Link = $merchantLink . cleanUrl($categoryName[1]) . "/";
				$link .= " &raquo; <a href=\"$category1Link\">". stripslashes($categoryName[1]) ."</a>";				
			}
			
			if (isset($categoryName[2]))
			{
				$category2Link = $category1Link . cleanUrl($categoryName[2]) . "/";
				
				$link .= " &raquo; <a href=\"$category2Link\">$categoryName[2]</a>";
			}
			
			if ($type == "default")
				return $link;
			else if ($type == "category1" && isset($category1Link))
				return $category1Link;
			else if ($type == "category2" && isset($category2Link))
				return $category2Link;
			else if ($type == "merchant")
				return $merchantLink;		
			
		}
		
		function getLinkDetail ($tableName, $mainUrl, $categoryName, $sku)
		{
			$link = getLinkCategory($tableName, $mainUrl, $categoryName, "category2");
			
			if (empty($link))
			{
				$link = getLinkCategory($tableName, $mainUrl, $categoryName, "category1");
			}
			
			if (empty($link))
			{
				$link = getLinkCategory($tableName, $mainUrl, $categoryName, "merchant");
			}
			
			$link .=  $sku .".php";
			
			$link = str_replace ("http://", "", $link);
			$link = str_replace ("//", "/", $link);
			$link = "http://" . $link;
			
			return $link;			
		}
		
		function getLinkCategoryPage ($tableName, $mainUrl, $categoryName, $page)
		{
			$link = getLinkCategory($tableName, $mainUrl, $categoryName, "category2");
			
			if (empty($link))
			{
				$link = getLinkCategory($tableName, $mainUrl, $categoryName, "category1");
			}
			
			if (empty($link))
			{
				$link = getLinkCategory($tableName, $mainUrl, $categoryName, "merchant");
			}
			
			if ($page > 1)
				$link .=  "page-$page";
			
			$link = str_replace ("http://", "", $link);
			$link = str_replace ("//", "/", $link);
			$link = "http://" . $link;
			
			return $link;			
		}
		
		function getLinkSingleCategory($tableName, $mainUrl, $categoryName)
		{
				$link = getLinkCategory($tableName, $mainUrl, $categoryName, "category2");
			
				if (empty($link))
				{
					$link = getLinkCategory($tableName, $mainUrl, $categoryName, "category1");
				}
				
				if (empty($link))
				{
					$link = getLinkCategory($tableName, $mainUrl, $categoryName, "merchant");
				}
				
				return $link;
			
		}

?>
